import 'package:password_strength_verificator/password_strength_verificator.dart';
import 'package:test/test.dart';

void main() async {
  group('Verificator test', () {
    final verificator = PasswordStrengthVerificator(minPasswordLength: 8);

    setUp(() {
      // Additional setup goes here.
    });

    test('Tiny Test', () async {
      final tiny = await verificator('abcd');
      expect(tiny, PasswordStrength.tiny);
    });

    test('Very Week Test', () async {
      final veryWeek = await verificator('abcdefgh');
      expect(veryWeek, PasswordStrength.veryWeek);
    });

    test('Very Week Recommendation Test', () async {
      final veryWeekPasswordTips =
          await verificator.getPasswordImprovementTips('abcdefgh');
      expect(
          veryWeekPasswordTips
              .contains(PasswordImprovementTips.addUppercaseChars),
          true);
    });

    test('Week Test', () async {
      final veryWeek = await verificator('abcdABCD');
      expect(veryWeek, PasswordStrength.week);
    });

    test('Week Recommendation Test', () async {
      final weekPasswordTips =
          await verificator.getPasswordImprovementTips('abcdABCD');
      expect(
          weekPasswordTips
              .contains(PasswordImprovementTips.addNumbers),
          true);
    });



    test('Good Test', () async {
      final veryWeek = await verificator('abcdABC1');
      expect(veryWeek, PasswordStrength.good);
    });

    test('good Recommendation Test', () async {
      final goodPasswordTips =
          await verificator.getPasswordImprovementTips('abcdABC1');
      expect(
          goodPasswordTips
              .contains(PasswordImprovementTips.addSymbols),
          true);
    });


    test('Strong Test', () async {
      final veryWeek = await verificator('abcdABC@1!');
      expect(veryWeek, PasswordStrength.strong);
    });
  });
}
